# std::error_category::operator==,!=,<

From cppreference.com
< cpp‎ | error‎ | error category

bool operator==( const error_category& rhs ) const noexcept; | (1) | (since C++11)
bool operator!=( const error_category& rhs ) const noexcept; | (2) | (since C++11)
bool operator<( const error_category& rhs ) const noexcept; | (3) | (since C++11)

Compares to another error category.

1) Checks whether *this and `rhs` refer to the same object.
2) Checks whether *this and `rhs` do not refer to the same object.
3) Orders *this and `rhs` by the order of this and &rhs. Equivalent to std::less<const error_category*>()(this, &rhs).

### Parameters

code | - | specifies the error code to compare
condition | - | specifies the error condition to compare

### Return value

1) true if *this and `rhs` refer to the same object, false otherwise.
2) true if *this and `rhs` do not refer to the same object, false otherwise.
3) true if *this is less than `rhs` as defined by the order of `this` and &rhs.
Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/error_category/operator_cmp&oldid=93088"